---
title: Loan funding - payment rails
slug: apis/lending/loan-funding-payment-rails
description: Funding uses rails (ACH, check, card, RPPS, RTP, Card, Wire). Submit funding instructions via PUT /Loan/{id}/FundingInfo
icon: {"apiMethod":"PUT"}
docTags: 
createdAt: 2024-08-14T11:33:25.056Z
---

## Fund transfer methods

A payment rail is the method by which Arix transfers funds. Arix uses these rails:

- [ACH / Same Day ACH](docId\:AmGQAO1V8_1JJlzlX3JHA)&#x20;
- [Physical checks](docId\:DbSSCTmmsCExM9uObFa4n)&#x20;
- [RPPS](docId\:UPlD8R5oTHB3PDnL_CJrL)&#x20;
- [Internal transfer (XPay)](docId\:NBgK9WdJhe6Dy7iMKO-W-)&#x20;
- [RTP](docId\:GIvRmOlnPEgzvdXOiKQW6)&#x20;
- [Card](docId\:f6s7wNyFtdq1mMgxPPnzM)&#x20;
- [Wire](docId:3KsA-jsyJ0pCqtDdHl8sp)&#x20;

:::hint{type="warning"}
**IMPORTANT**
To track rails, use the RailId you receive back after the API call.
Funding is an automated process.
It is your responsibility to review your records before you create any loans or requests for funding.
:::

## PUT /Loan/&#x7B;Id}/FundingInfo

Use this call to add new payment rails for a particular loan. This API call replaces rails that haven't been successfully funded.

:::hint{type="info"}
Request URL https\:// .../Loan/&#x7B;ld}/FundingInfo
:::

You can use this call to:

- Attempt disbursements to the borrower in case of returns or failures
- Make multiple disbursements, one or more rails, as needed
- Add rails

Funds can be sent as one net sum or in multiple disbursements. Arix automatically calculates the sum of the loan and adjusts the amount down (if necessary) so that no funds that exceed the approved loan amount are sent.

:::hint{type="warning"}
**IMPORTANT**
When you send a PUT call to update loan information, already processed rails and rails that are in the process of being funded aren't affected.
:::

## Sample request in JSON - PUT /Loan/&#x7B;Id}/FundingInfo

In this sample request, we used this API to request one disbursement of $7,000 using the RPPS rail.

```json
{
    "FundingInfoUpdate": {
        "Rails": [
            {
                "RailType": "RPPS",
                "Priority": 1,
                "Amount": 7000,
                "RPPSFields": {
                    "BillerID": "132654654632135423452",
                    "BillerName": "Anita Loan",
                    "ConsumerNameAtBiller": "TestNameAtBiller",
                    "ConsumerAccountNumberAtBiller": "5454546498195454"
                }
            }
        ]
    }
}
```

## Sample response in JSON - PUT /Loan/&#x7B;Id}/FundingInfo

```json
"Rails": [
    {
        "RPPSFields": {
            "BillerID": "132654654632135423452",
            "BillerName": "Anita Loan",
            "ConsumerNameAtBiller": "TestNameAtBiller",
            "ConsumerAccountNumberAtBiller": "5454543427795454"
        },
        "Id": "a974ce4a-e7b3-4310-bc2b-ac6900e79b1a",
        "RailType": "RPPS",
        "Priority": 1,
        "Amount": 7000,
        "LoanId": "ca485557-20c3-4a5b-b123-ac6900da4728",
        "MPLId": "TST",
        "IsFailed": false,
        "LoanType": "Undefined"
    }
]
```

## RailTransaction attributes

These properties are returned for rail transactions.

Every rail includes a **GUID**, which is a unique identifier for the rail which you can use to match the rail request to the rail response.

| Attribute                                                        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `RailId`<br />GUID                                               | Unique identifier for a rail                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `LoanId`<br />string                                             | Unique identifier for a loan                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `RailType`<br />[RailType](docId\:hpq_QWOAKV9JprqwkFR1I) or null | Type of rail for payment<br />Select the RailType Enum:<br />- [COSACH](docId\:AmGQAO1V8_1JJlzlX3JHA)<br />- [COSACHSD](docId\:AmGQAO1V8_1JJlzlX3JHA)<br />- [AdjustmentAction](docId\:cznQ0DC0THwigHpVv_ipG)  (Not a payment rail)<br />- [Check](docId\:DbSSCTmmsCExM9uObFa4n)<br />- [RPPS](docId\:UPlD8R5oTHB3PDnL_CJrL)<br />- [Internal Transfer (XPay)](docId\:NBgK9WdJhe6Dy7iMKO-W-)<br />- [RTP (Instant Payments)](docId\:GIvRmOlnPEgzvdXOiKQW6)<br />- [Wire](docId:3KsA-jsyJ0pCqtDdHl8sp)<br />- [Card](docId\:f6s7wNyFtdq1mMgxPPnzM) |
| Priority<br />integer or null                                    | Order the rails should be processed - starts with number 1.<br />If all the rails have the same number, Arix processes them in the order they were received.                                                                                                                                                                                                                                                                                                                                                                                      |
| Amount<br />decimal<br />                                        | Amount attempted to process on this rail. If left blank, Arix attempts to process the full balance.                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `MPLId`<br />string                                              | ID of the MPL                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `IssuingBankId`<br />string                                      | ID of the issuing bank                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `IsFailed`<br />boolean                                          | Indicates if the loan transmission failed.<br />True or false.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `LoanType`<br />string                                           | Type of loan                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `AmountFunded`<br />decimal                                      | Dollar amount funded                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `RailTransactionId`<br />string                                  | Unique identifier for a rail transaction<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `FundResultRailResultType`                                       | Result of the funding. See [Enums](docId\:hpq_QWOAKV9JprqwkFR1I).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `Message`<br />string                                            | Message returned                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `ProcessedAt`<br />DateTime                                      | Date the rail was processed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `TransactionGroupId`<br />GUID                                   | Unique identifier of the transaction group                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

## Rail cutoff times

- The bank reserves 1.5 - 2 hours for pre-processing of funding before the network cutoff times below.&#x20;
- Only loans that completed all underwriting checks are funded.&#x20;
- Loans that miss a cutoff will auto-roll to the next processing window.&#x20;
- Cut off times noted below are in Business Days, unless 24/7 is noted.

| Rail type                                                          | Cutoff times                                                                                                                                                                                                                                                                                                                                                  |
| ------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ACH                                                                | Cutoff is 16:00 EST. The Fed accepts submissions until 18:00 EST.                                                                                                                                                                                                                                                                                             |
| ACH SD (Same Day)<br />Limited to $1,000,000 per transaction       | Cutoff is 13:00 EST. The Fed accepts submissions until 14:45 EST.<br />Extended Same Day cut off is 14:30 EST. The Fed accepts submissions until 16:45 EST.                                                                                                                                                                                                   |
| Cards                                                              | 24/7 (no cutoff times)                                                                                                                                                                                                                                                                                                                                        |
| Checks                                                             | Cutoff is 11:00 EST                                                                                                                                                                                                                                                                                                                                           |
| Mastercard RPPS                                                    | Support for 3 MC RPPS processing cycles:<br />03:00 EST – 05:00 EST<br />13:00 EST – 15:00 EST<br />21:00 EST – 23:00 EST<br />To have a transaction included in a processing cycle, it has to be submitted no later than 50 minutes before the cutoff. Any transactions submitted later than 50 minutes before the cutoff time, will flow to the next cycle. |
| Internal Transfer (XPay)                                           | 24/7 (no cutoff times)                                                                                                                                                                                                                                                                                                                                        |
| RTP (Real Time Payment)<br />Limited to $1,000,000 per transaction | 24/7 (no cutoff times)                                                                                                                                                                                                                                                                                                                                        |
| Wires                                                              | Cutoff is 17:00 EST. Wires are released to the Fed once an hour. The last release is at the cutoff time.                                                                                                                                                                                                                                                      |

## ACH return cutoff times

ACH returns are received in batches, with the following cutoff times:

| ACH returns | 1. First Batch: 12:00 AM EST<br />2. Second Batch: 3:00 AM EST<br />3. Third Batch: 11:30 AM EST<br />4. Fourth Batch: 3:30 PM EST<br />5. Fifth Batch: 4:30 PM EST |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

